For the complete documentation index, see llms.txt. This page is also available as Markdown.

Metadata

Manage Metadata

Listing fields for RAG search

get

Returns a list of fields that can be used to create embeddings for RAG search.

Required scopes
This endpoint requires the following scopes:
  • : Needed to read AI agents.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

Your Emporix tenant name.

Note: The tenant name should always be provided in lowercase.

typestringRequired

Rag Entity Type. Supported predefined types: [ORDER, PRODUCT] and custom entity types.

Responses
200

List of fields for RAG search.

application/json
string[]Optional
get/ai-rag-indexer/{tenant}/{type}/rag-metadata
GET /ai-rag-indexer/{tenant}/{type}/rag-metadata HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  "code",
  "id",
  "labels",
  "labels.description",
  "labels.description.de",
  "labels.description.en",
  "labels.id",
  "labels.name",
  "mixins",
  "mixins.additionalattributes",
  "mixins.additionalattributes.temperature",
  "name",
  "name.de",
  "name.en",
  "published",
  "segmentIds"
]

Listing fields for vector search filtering

get

Retrieves a list of fields which can be used for vector search filtering. Filtering is applied before RAG retrieval stage.

Required scopes
This endpoint requires the following scopes:
  • : Needed to read AI agents.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

Your Emporix tenant name.

Note: The tenant name should always be provided in lowercase.

typestringRequired

Rag Entity Type. Supported predefined types: [ORDER, PRODUCT] and custom entity types.

Responses
200

List of fields for vector search filter.

application/json
keystringOptional

Unique identifier of the fields. It contains full field path.

namestringOptionalDeprecated

Name of the field.

descriptionstringOptionalDeprecated

Description of the field.

typestring · enumOptional

Type of the field.

Possible values:
get/ai-rag-indexer/{tenant}/{type}/filter-metadata
GET /ai-rag-indexer/{tenant}/{type}/filter-metadata HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "key": "code",
    "type": "string"
  },
  {
    "key": "id",
    "type": "string"
  },
  {
    "key": "published",
    "type": "boolean"
  },
  {
    "key": "segmentIds",
    "type": "list"
  }
]

Last updated

Was this helpful?